/**
 * generated by Xtext 2.25.0
 */
package org.xtext.example.methodname.methodName;

import org.eclipse.emf.ecore.EObject;

/**
 * <!-- begin-user-doc -->
 * A representation of the model object '<em><b>Property</b></em>'.
 * <!-- end-user-doc -->
 *
 * <p>
 * The following features are supported:
 * </p>
 * <ul>
 *   <li>{@link org.xtext.example.methodname.methodName.Property#getFrequency <em>Frequency</em>}</li>
 *   <li>{@link org.xtext.example.methodname.methodName.Property#getCriterion <em>Criterion</em>}</li>
 * </ul>
 *
 * @see org.xtext.example.methodname.methodName.MethodNamePackage#getProperty()
 * @model
 * @generated
 */
public interface Property extends EObject
{
  /**
   * Returns the value of the '<em><b>Frequency</b></em>' attribute.
   * The literals are from the enumeration {@link org.xtext.example.methodname.methodName.Frequency}.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the value of the '<em>Frequency</em>' attribute.
   * @see org.xtext.example.methodname.methodName.Frequency
   * @see #setFrequency(Frequency)
   * @see org.xtext.example.methodname.methodName.MethodNamePackage#getProperty_Frequency()
   * @model
   * @generated
   */
  Frequency getFrequency();

  /**
   * Sets the value of the '{@link org.xtext.example.methodname.methodName.Property#getFrequency <em>Frequency</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>Frequency</em>' attribute.
   * @see org.xtext.example.methodname.methodName.Frequency
   * @see #getFrequency()
   * @generated
   */
  void setFrequency(Frequency value);

  /**
   * Returns the value of the '<em><b>Criterion</b></em>' reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the value of the '<em>Criterion</em>' reference.
   * @see #setCriterion(Rule)
   * @see org.xtext.example.methodname.methodName.MethodNamePackage#getProperty_Criterion()
   * @model
   * @generated
   */
  Rule getCriterion();

  /**
   * Sets the value of the '{@link org.xtext.example.methodname.methodName.Property#getCriterion <em>Criterion</em>}' reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>Criterion</em>' reference.
   * @see #getCriterion()
   * @generated
   */
  void setCriterion(Rule value);

} // Property
